{---------------------------------------------------------------------
 PROGRAM: Template

 This program gives the programmer a template to work from.

 It does this with a small amount of code in a
 procedure called INIT.  The program also USES the CRT Unit to ClrScr
 at initiation.  It also adds READLN to the end of the program
 so that, when it is run, the output is sent to the screen and the
 programmer is allowed to see the output without pressing ALT F5.

 Author:                    Mike Benedict
 Date Started:              5/16/91
 Latest Revision:           9/01/91
 Version:                   Turbo Pascal 6.0

 -------------------------------------------------------------------}

 PROGRAM Template;

 USES                                      { USES is a reserved word that  }
   Crt;                                    { tells the compiler to use one }
                                           { of the standard libraries or  }
                                           { units listed in the Pascal    }
                                           { Programmer's Guide.           }

 {------------------------------------}    { Anything between brackets  }
 {            PROCEDURES              }    { is ignored at compile time }
 {------------------------------------}    { and allows clear comments  }
                                           { within source code.        }

 {-----------------------------}
 {          INIT.PROC          }
 {-----------------------------}

 PROCEDURE Init;

 BEGIN
   TextBackground(Blue);                   { Procedures and functions that   }
   TextColor(White);                       { are pre-defined by Borland's    }
   ClrScr;                                 { Reference manual.  They are     }
 END;                                      { called the Run-Time Library.    }


 {-----------------------------}
 {         .PROC          }
 {-----------------------------}

 PROCEDURE Null;

 BEGIN
 END;



 {------------------------------------}
 {           MAIN PROGRAM             }
 {------------------------------------}

  BEGIN
    Init;                                  { Init calls the procedure INIT.     }
    ReadLn;
  END.                                     { ReadLn stops the program for user  }
                                           { input.           This is a common  }
                                           { way to get the program to stop and }
                                           { show you the screen without pres-  }
                                           { sing ALT-F5.                       }
